hw_insertanchors
hw_InsertObject
Hyperwave Functions
PHP Manual

# hw_InsertDocument

Upload any document

### Description

int hw_insertdocument ( int `$connection` , int `$parent_id` , int `$hw_document` )

Uploads a document into the given collection.

The document has to be created before with hw_new_document. Make sure that the object record of the new document contains at least the attributes: Type, DocumentType, Title and Name. Possibly you also want to set the MimeType.

### Parameters

`connection`

  The connection identifier.

`parent_id`

  The collection identifier.

`hw_document`

  The document identifier.

### Return Values

The functions returns the object id of the new document or `FALSE`.

### See Also

- hw_pipedocument